Economy

Get Product Purchase History

GET
/user/{userId}/economy/transactions

Gets a history of product purchases

Authorization

authCookie
auth<token>

Auth Token via Cookie

In: cookie

Path Parameters

userId*string

Must be a valid user ID.

Query Parameters

n?integer

The number of objects to return.

Default60
Range1 <= value <= 100
dateMin?string

The start date of the search range.

Formatdate-time
dateMax?string

The end date of the search range.

Formatdate-time
fromUserId?string

Must be a valid user ID.

toUserId?string

Must be a valid user ID.

sort?string

The sort order of the results.

Default"purchaseDate"
Value in"purchaseDate"
order?string

Result ordering

Default"desc"
Value in"asc" | "desc"

Response Body

application/json

application/json

curl -X GET "https://api.vrchat.cloud/api/1/user/usr_c1644b5b-3ca4-45b4-97c6-a2a0de70d469/economy/transactions"
{
  "endDate": "2019-08-24T14:15:22Z",
  "startDate": "2019-08-24T14:15:22Z",
  "transactions": [
    {
      "amount": 399,
      "balance": 399,
      "date": "2019-08-24T14:15:22Z",
      "fromUserDisplayName": "VRChat",
      "listingDisplayName": "Lucky Red Envelope",
      "listingType": "duration",
      "platform": "VRChat",
      "purchaseId": "pur_f0446b91-e0f7-403e-8932-609d5057898c",
      "reason": 3002,
      "reasonLabel": "Promo Credit",
      "transactionId": 0,
      "transactionLineId": 0
    }
  ]
}
{
  "error": {
    "message": "\"Missing Credentials\"",
    "status_code": 401
  }
}